Summary:  3D first-person shooter game
Name:     alephone-marathon2
Version:  20181006
Release:  2%{?dist}
License:  Uncertain
Group:    Amusements/Games
URL:      https://alephone.lhowon.org/games/marathon2.html
Source0:  marathon2.autodlrc
Source1:  alephone-marathon2.sh
Source2:  alephone-marathon2.jpg
Source3:  alephone-marathon2.desktop

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: desktop-file-utils

Requires: alephone

%description
Fresh from your triumph on the starship Marathon, you are seized 
by the rogue computer Durandal to do his bidding in a distant part 
of the galaxy. Within the ruins of an ancient civilization, you 
must seek the remnants of a lost clan and uncover their long-buried 
secrets. Battle opponents ancient and terrible, with sophisticated 
weapons and devious strategies, all the while struggling to escape 
the alien nightmare...

This release of Marathon 2: Durandal includes the classic graphics, 
and revamped high-definition textures and monsters from the Xbox 
Live Arcade edition.

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/AlephOne
cp %{SOURCE0} $RPM_BUILD_ROOT%{_datadir}/AlephOne/

mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE3}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/alephone-marathon2.sh
%{_datadir}/AlephOne/marathon2.autodlrc
%{_datadir}/pixmaps/alephone-marathon2.jpg
%{_datadir}/applications/alephone-marathon2.desktop

%changelog
* Wed Oct 10 2018 josef radinger <cheese@nosuchhost.net> - 20181006-2
- fix update if old version exists

* Sat Oct 06 2018 josef radinger <cheese@nosuchhost.net> - 20181006-1
- bump version

* Fri Oct 05 2018 josef radinger <cheese@nosuchhost.net> - 20180930-1
- bump version

* Sun Apr 01 2018 josef radinger <cheese@nosuchhost.net> - 20150907-1
- bump version

* Mon Feb 19 2018 josef radinger <cheese@nosuchhost.net> - 20150620-3
- fix start-script

* Sat Feb 17 2018 josef radinger <cheese@nosuchhost.net> - 20150620-2
- fix link to license-info on github

* Sat Feb 17 2018 josef radinger <cheese@nosuchhost.net> - 20150620-1
- initial version

